<?xml version="1.0"?>
<configuration>
  <configSections>
    <section name="nlog" type="NLog.Config.ConfigSectionHandler, NLog" />
    <section name="localizationContext" type="com.neoservice.neofiscal.Commons.Localization.Settings.Configuration.LocalizationContextConfigurationSection, Commons" />
  </configSections>
  <appSettings>
    <!-- настройки криптопровайдера -->
    <add key="CryptoParametersString" value="KeystorePath=${basedir}\KeyStore\;DefaultKeyUID=[UNDEFINED];DefaultPIN=[UNDEFINED];JarsClassPath=${basedir}\Java\;JvmOptions=-Xmx128m;CAStorePath=${basedir}\KeyStore\CA_cert" />

    <add key="HardwareFootprintSourceType" value="DEFAULT" />

    <add key="Application.Mode" value="DEFAULT" />
    <add key="Application.Mode.Service.Address" value="http://localhost:1234/FRService" />
    <add key="Application.Mode.Service.Binding" value="BasicHttpBinding" />
    <add key="Application.Mode.Service.ExitOnError" value="True" />

    <add key="NotifyIcon.MouseEvents.Enabled" value="True" />
    <add key="NotifyIcon.MouseEvents.ClickEnabled" value="True" />
    <add key="NotifyIcon.MouseEvents.DoubleClickEnabled" value="True" />

    <add key="Application.Server.Certifiacte.Validation" value="DEFAULT" />

    <add key="EmulatorType" value="SHTRIH_FR_F_KZ" />

    <add key="HostConfiguration.COMPortName" value="[UNDEFINED]" />
    <add key="HostConfiguration.BaudRate" value="115200" />
    <add key="HostConfiguration.ReadTimeout" value="100" />

    <add key="DeviceConfiguration.COMPortName" value="[UNDEFINED]" />
    <add key="DeviceConfiguration.BaudRate" value="115200" />
    <add key="DeviceConfiguration.DtrEnable" value="False" />
    <add key="DeviceConfiguration.ReadTimeout" value="100" />
    <add key="DeviceConfiguration.CommandTimeout" value="500" />
    <add key="DeviceConfiguration.AccessPassword" value="30" />
    <add key="DeviceConfiguration.PrintQRCodeAsString" value="False" />
    <add key="DeviceConfiguration.PrintXReportToFile" value="False" />
    <add key="DeviceConfiguration.PrintZReportToFile" value="False" />
    <add key="DeviceConfiguration.AcceptMultilineText" value="True" />
    <add key="DeviceConfiguration.SplitTextOnOverflow" value="True" />

    <add key="DeviceConfiguration.PrintAddressType" value="SHORT" />

    <add key="DeviceConfiguration.Drivers.PrinterType" value="[UNDEFINED]" />
    <add key="DeviceConfiguration.Drivers.MoneyBoxType" value="DEFAULT" />

    <add key="DeviceConfiguration.Drivers.Printer.Settings" value="" />

    <add key="DeviceConfiguration.BehaviourScheme" value="DEFAULT" />
    <add key="DeviceConfiguration.BehaviourSettings" value="" />

    <add key="DeviceConfiguration.Rounding.Targets" value="" />
    <add key="DeviceConfiguration.Rounding.Method" value="" />

    <add key="DeviceConfiguration.QRCode.ECCLevel" value="Q" />
    <add key="DeviceConfiguration.QRCode.Scale" value="Auto" />
    <add key="DeviceConfiguration.QRCode.GraphicAreaFillFactor" value="0.7" />

    <add key="DeviceConfiguration.QRCodeMark.Enabled" value="false" />
    <add key="DeviceConfiguration.QRCodeMark.RecipientCode" value="NEOSERVICE" />
    <add key="DeviceConfiguration.QRCodeMark.MessageVersion" value="0.1" />
    <add key="DeviceConfiguration.QRCodeMark.Template" value="" />
    <add key="DeviceConfiguration.QRCodeMark.DataTemplate" value="" />
    <add key="DeviceConfiguration.QRCodeMark.ECCLevel" value="Q" />
    <add key="DeviceConfiguration.QRCodeMark.Scale" value="Auto" />
    <add key="DeviceConfiguration.QRCodeMark.GraphicAreaFillFactor" value="0.7" />

    <add key="FiscalizationConfiguration.AllowedRegisterOperationTimeout.Milliseconds" value="5000" />
    <add key="FiscalizationConfiguration.AllowedXReportTimeout.Milliseconds" value="5000" />
    <add key="FiscalizationConfiguration.AllowedCloseWorkSessionTimeout.Milliseconds" value="8000" />
    
    <add key="FiscalizationConfiguration.PaymentTypeNumbersMatchingTemplate" value="2;3" />

    <add key="FiscalizationConfiguration.TicketRequestCreator" value="PRIMARY" />
    <add key="FiscalizationConfiguration.TruncateLongItemName" value="False" />

    <add key="FiscalizationConfiguration.ShouldParseTextBlock" value="True" />

    <add key="FiscalizationConfiguration.PrintExciseStamp" value="False" />

    <add key="FiscalizationConfiguration.PrintCustomerInfo" value="False" />

    <add key="FiscalizationConfiguration.DocumentNumberSource" value="COUNTER" />

    <add key="FiscalizationConfiguration.ContinuousDocumentNumberParts" value="DOCUMENT_NUMBER|X_REPORT_NUMBER|Z_REPORT_NUMBER|CUSTOM_DOCUMENT_NUMBER" />

    <!-- формат значений "[номер учетной записи]:[контекст кассира]|[номер учетной записи]:[контекст кассира]"-->
    <add key="FiscalizationConfiguration.PermittedContextCashiers" value="30:Cashier1" />
    <add key="FiscalizationConfiguration.DefaultContextCashier" value="Cashier1" />

    <add key="FiscalizationConfiguration.Proxy.Type" value="NONE" />
    <add key="FiscalizationConfiguration.Proxy.Custom.Http.Address" value="" />

    <add key="FiscalizationConfiguration.FSCServiceUrl" value="https://88.204.142.178:8014/FSCNode-II/ExtendedFiscalizationService.asmx" />

    <add key="FiscalizationConfiguration.FSCService.InboundData.EmulateDateTimeBehaviour" value="False" />
    
    <add key="FiscalizationConfiguration.SettingsSynchronizationTimeout" value="300" />

    <add key="FiscalizationConfiguration.SerialNumberType" value="" />
    
    <add key="FiscalizationConfiguration.DefaultMeasureUnitCode" value="642" />

    <add key="FiscalizationConfiguration.BillContent.MinWidth" value="36" />
    
    <add key="FiscalizationConfiguration.BillContent.MaxWidth" value="64" />

  </appSettings>

  <runtime>
    <NetFx40_LegacySecurityPolicy enabled="True" />
  </runtime>

  <localizationContext>
    <allowedLanguages>
      <add languageName="KKZ" enabled="true" />
      <add languageName="RUS" enabled="true" />
      <add languageName="MIX" enabled="true" />
    </allowedLanguages>
  </localizationContext>

  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
         <binding name="ExtendedFiscalizationServiceSoap" closeTimeout="00:10:00"
          openTimeout="00:10:00" receiveTimeout="00:10:00" sendTimeout="00:10:00"
          allowCookies="false" bypassProxyOnLocal="false" hostNameComparisonMode="StrongWildcard"
          maxBufferPoolSize="524288" maxBufferSize="524288" maxReceivedMessageSize="524288"
          textEncoding="utf-8" transferMode="Buffered" useDefaultWebProxy="true"
          messageEncoding="Text">
          <readerQuotas maxDepth="32" maxStringContentLength="524288" maxArrayLength="16384"
            maxBytesPerRead="4096" maxNameTableCharCount="16384" />
          <security mode="None">
            <transport clientCredentialType="None" proxyCredentialType="None"
              realm="" />
            <message clientCredentialType="UserName" algorithmSuite="Default" />
          </security>
        </binding>        
      </basicHttpBinding>
    </bindings>    
  </system.serviceModel>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0" />
  </startup>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
</configuration>